#!/bin/bash

# Burns and thins the chains of each fold for each PFT, then concatenates
#   the resulting posterior and exports it to an HDF5 file.

MOD17_DIR=/usr/local/dev/mod17
CONFIG_FILE=${MOD17_DIR}/lib/python/mod17/data/MOD17_calibration_config_Gullveig.json

for param in "LUE_max" "vpd1" "tmin1"; do
  echo "Exporting \"${param}\"..."
  python ${MOD17_DIR}/lib/python/mod17/calibration.py export-posterior GPP $param\
    ~/Workspace/NTSG/projects/Y2021_MODIS-VIIRS/data/20220920_MOD17_GPP_recal_posterior_${param}.h5\
    --config=${CONFIG_FILE} --burn=1000 --thin=20
done
