#!/bin/bash

# Extract fields relevant to biome/ PFT classification
cat ~/Downloads/20988_07052022180913/20988.txt | awk -F "\t" \
  '{ if ($11 == "TraitName" || $13 == "Climate_PFT_Biome equivalent_Poulter" || $13 == "Clustered vegetation type" || $13 == "Habitat / plot description" || $13 == "Latitude" || $13 == "Longitude") print }' \
  > TRY_SLA_attrs.txt
zip -r /anx_lagr4/MODIS_VIIRS/calibration/data/TRY/TRY_SLA_attrs.zip TRY_SLA_attrs.txt
rm TRY_SLA_attrs.txt

# Extract fields needed to calculate Specific Leaf Area (SLA)
cat ~/Downloads/20988_07052022180913/20988.txt | awk -F "\t" \
  '{ if ($11 == "TraitName" || $11 == "Leaf area per leaf dry mass (specific leaf area, SLA or 1/LMA): petiole excluded") print }' \
  > TRY_SLA.txt
zip -r /anx_lagr4/MODIS_VIIRS/calibration/data/TRY/TRY_SLA.zip TRY_SLA.txt
rm TRY_SLA.txt

# Extract fields needed to calculate froot_leaf_ratio
cat ~/Downloads/20988_07052022180913/20988.txt | awk -F "\t" \
  '{ if ($11 == "TraitName" || $11 == "Leaf carbon (C) content per leaf dry mass" || $11 == "Fine root carbon (C) content per fine root dry mass" || $11 == "Plant biomass and allometry: Fine root dry mass per plant" || $11 == "Plant biomass and allometry: Leaf dry mass per plant") print }' \
  > TRY_froot_leaf_ratio.txt
zip -r /anx_lagr4/MODIS_VIIRS/calibration/data/TRY/TRY_froot_leaf_ratio.zip TRY_froot_leaf_ratio.txt
rm TRY_froot_leaf_ratio.txt

# Extract fields needed to calculate froot_mr_base
cat ~/Downloads/20988_07052022180913/20988.txt | awk -F "\t" \
  '{ if ($11 == "TraitName" || $11 == "Plant biomass and allometry: Fine root dry mass per plant" || $11 == "Fine root carbon (C) content per fine root dry mass" || $11 == "Fine root respiration rate per fine root dry mass") print }' \
  > TRY_froot_mr_base.txt
zip -r /anx_lagr4/MODIS_VIIRS/calibration/data/TRY/TRY_froot_mr_base.zip TRY_froot_mr_base.txt
rm TRY_froot_mr_base.txt

# Extract fields needed to calculate leaf_mr_base
cat ~/Downloads/20988_07052022180913/20988.txt | awk -F "\t" \
  '{ if ($11 == "TraitName" || $11 == "Leaf carbon (C) content per leaf dry mass" || $11 == "Leaf respiration rate in the dark per leaf dry mass" || $11 == "Leaf respiration rate in light per leaf respiration rate in the dark") print }' \
  > TRY_leaf_mr_base.txt
zip -r /anx_lagr4/MODIS_VIIRS/calibration/data/TRY/TRY_leaf_mr_base.zip TRY_leaf_mr_base.txt
rm TRY_leaf_mr_base.txt

# More SLA data
cat ~/Downloads/21640/21640.txt | awk -F "\t" \
  '{ if ($11 == "TraitName" || $11 == "Leaf area per leaf dry mass (specific leaf area, SLA or 1/LMA): petiole excluded" || $11 == "Leaf area per leaf dry mass (specific leaf area, SLA or 1/LMA): petiole included" || $11 == "Leaf area per leaf dry mass (specific leaf area, SLA or 1/LMA) petiole, rhachis and midrib excluded" || $11 == "Leaf area per leaf dry mass (specific leaf area, SLA or 1/LMA): undefined if petiole is in- or excluded" || $11 == "Leaf carbon (C) content per leaf area" || $13 == "Climate_PFT_Biome equivalent_Poulter" || $13 == "Clustered vegetation type" || $13 == "Habitat / plot description" || $13 == "Latitude" || $13 == "Longitude") print }' > TRY_SLA2.txt
zip -r /anx_lagr4/MODIS_VIIRS/calibration/data/TRY/TRY_SLA2.zip TRY_SLA2.txt
rm TRY_SLA2.txt
